﻿$ErrorActionPreference = 'Stop';

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/veeso/termscp/releases/download/v0.5.0/termscp-0.5.0-msvc.zip'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'EXE'
  url           = $url
  unzipLocation = $toolsDir

  softwareName  = 'termscp*'

  # deps: choco install checksum
  # checksum -t sha256 -f termscp.zip
  checksum      = '82E3A7822EC2749B1BD4A894BC702054B7EEC7D2864A420BAAF79C9DC216327A'
  checksumType  = 'sha256'

  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyZipPackage  @packageArgs # https://chocolatey.org/docs/helpers-install-chocolatey-package
